Skip to main content
PUT
/
sponsors
/
update
/
{sponsor_id}
Update One Sponsor
curl --request PUT \
  --url https://api.swoogo.com/api/v1/sponsors/update/{sponsor_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data name=
{
  "created_at": "2020-07-29 10:54:15",
  "description": null,
  "direct_link": "https://www.swoogo.com/1734/sponsor/94/test-update",
  "event_id": 55,
  "id": 1,
  "level": {
    "id": null,
    "value": null
  },
  "logo_id": "",
  "name": "updated",
  "notes": null,
  "updated_at": "2020-07-29 11:59:37",
  "webinar_url": null,
  "website": ""
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

sponsor_id
integer
required

integer - required - The ID of the sponsor you want to update

Example:

1

Body

name
string
Example:

""

Response

Update Sponsor

created_at
string
Example:

"2020-07-29 10:54:15"

description
unknown
Example:

"https://www.swoogo.com/1734/sponsor/94/test-update"

event_id
number
Example:

55

id
number
Example:

1

level
object
logo_id
string
Example:

""

name
string
Example:

"updated"

notes
unknown
updated_at
string
Example:

"2020-07-29 11:59:37"

webinar_url
unknown
website
string
Example:

""